<?php
    # $Id: simplePage.inc.php,v 1.3 2007/01/08 12:51:13 jarda Exp $

    /* Defines simple page classes
    */
    
    require_once('page.inc.php');

    /* Superclass of all simple page classes
    */
    abstract class SimplePage extends Page
    {
    }

    
    /* Superclass of simple page classes that just display some data
    */
    abstract class ViewSimplePage extends SimplePage
    {

        function getRequiredAccessLevel()
        {
            return 'view';
        }
        
    }

    
    /* Superclass of simple page classes that change data of user accounts
    */
    abstract class EditUserAccountsSimplePage extends SimplePage
    {

        function getRequiredAccessLevel()
        {
            return 'editUserAccounts';
        }

    }

    
    /* Superclass of simple page classes that change data of benchmarks
    */
    abstract class EditDBSimplePage extends SimplePage
    {

        function getRequiredAccessLevel()
        {
            return 'editDB';
        }

    }

    
    /* Superclass of simple page classes that change own password of the user
    */
    abstract class ChangeOwnPasswordSimplePage extends SimplePage
    {

        function getRequiredAccessLevel()
        {
            return 'changeOwnPassword';
        }

    }

    // vim:enc=iso8859-2:fenc=iso8859-2:
?>
